CVE-2020-14059

NameCVE-2020-14059
DescriptionAn issue was discovered in Squid 5.x before 5.0.3. Due to an Incorrect Synchronization, a Denial of Service can occur when processing objects in an SMP cache because of an Ipc::Mem::PageStack::pop ABA problem during access to the memory page/slot management list.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
squid (PTS)buster, buster (security)4.6-1+deb10u3fixed
bullseye, sid4.12-1fixed
squid3 (PTS)stretch3.5.23-5+deb9u1fixed
stretch (security)3.5.23-5+deb9u2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
squidsource(unstable)(not affected)
squid3source(unstable)(not affected)

Notes

- squid <not-affected> (vulnerability introduced in the 5.x series)
- squid3 <not-affected> (vulnerability introduced in the 5.x series)
https://github.com/squid-cache/squid/security/advisories/GHSA-w7pw-2m4p-58hr

Search for package or bug name: Reporting problems